Package org.apache.tools.ant.taskdefs.cvslib

# Class CVSEntry

java.lang.Object
org.apache.tools.ant.taskdefs.cvslib.CVSEntry

    public class CVSEntry
    extends java.lang.Object

CVS Entry.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CVSEntry​(java.util.Date date, java.lang.String author, java.lang.String comment)` | Creates a new instance of a CVSEntry

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addFile​(java.lang.String file, java.lang.String revision)` | Adds a file to the CVSEntry
`void` | `addFile​(java.lang.String file, java.lang.String revision, java.lang.String previousRevision)` | Adds a file to the CVSEntry
`java.lang.String` | `getAuthor()` | Gets the author of the CVSEntry
`java.lang.String` | `getComment()` | Gets the comment for the CVSEntry
`java.util.Date` | `getDate()` | Gets the date of the CVSEntry
`java.util.Vector<org.apache.tools.ant.taskdefs.cvslib.RCSFile>` | `getFiles()` | Gets the files in this CVSEntry
`void` | `setAuthor​(java.lang.String author)` | Sets the author of the CVSEntry
`java.lang.String` | `toString()` | Gets a String containing author, date, files and comment

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CVSEntry

public CVSEntry​(java.util.Date date, java.lang.String author, java.lang.String comment)
Creates a new instance of a CVSEntry

Parameters:
  `date` - the date
  `author` - the author
  `comment` - a comment to be added to the revision

## Method Details

### addFile

public void addFile​(java.lang.String file, java.lang.String revision)
Adds a file to the CVSEntry

Parameters:
  `file` - the file to add
  `revision` - the revision

### addFile

public void addFile​(java.lang.String file, java.lang.String revision, java.lang.String previousRevision)
Adds a file to the CVSEntry

Parameters:
  `file` - the file to add
  `revision` - the revision
  `previousRevision` - the previous revision

### getDate

public java.util.Date getDate()
Gets the date of the CVSEntry

Returns:
  the date

### setAuthor

public void setAuthor​(java.lang.String author)
Sets the author of the CVSEntry

Parameters:
  `author` - the author

### getAuthor

public java.lang.String getAuthor()
Gets the author of the CVSEntry

Returns:
  the author

### getComment

public java.lang.String getComment()
Gets the comment for the CVSEntry

Returns:
  the comment

### getFiles

public java.util.Vector<org.apache.tools.ant.taskdefs.cvslib.RCSFile> getFiles()
Gets the files in this CVSEntry

Returns:
  the files

### toString

public java.lang.String toString()
Gets a String containing author, date, files and comment

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of this CVSEntry